Microphone not working in Ubuntu 18.04.3 LTS on new hp-spectre-x360-convertible-15 laptop

Bug #1840725 reported by Rohan Paul on 2019-08-20
194
This bug affects 37 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

Internal Microphone does not work in Ubuntu 18.04.3 LTS in a new hp-spectre-x360-convertible-15 laptop. The microphone works perfectly on Windows 10 (present in Dual boot mode).

Initially, Internal Microphone was not even detected but installing alsa-tools-gui and overriding pin 0x12 to the Internal Microphone fixed that issue. [Pin 0x13 does not work and causes static in a headphone if it is plugged in.]

Microphone is not able to pick up any sound. I changed levels/settings in alsamixer, pavucontrol without any success:
In alsamixer: Experimented with levels ranging from very low to very high for Internal Mic, Capture, etc.
In pavucontrol: Set the Internal Mic as a fallback device, unlocked the channels for the mic, experimented with reducing the level for one of the channels (reduced right mic level to Silence while keeping the left mic level normal/high and vice versa).

alsa-info:
http://alsa-project.org/db/?f=cf6d3ccc6372f955da7d99df07afbcb31d5a6c7f

arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Rohan Paul (rohanpaul11) on 2019-08-20
tags: added: internal mic
tags: added: alsa ubuntu18.04.4lts
tags: added: internal-mic
removed: internal mic
Hui Wang (hui.wang) wrote :

Probably on this machine, the internal mic is connected to pin 0x13.

Rohan Paul (rohanpaul11) wrote :

Pin 0x13 does not work as well. Overriding pin 0x13 to use the Internal Mic causes an undesirable side-effect of static noise in any plugged in headphone.

Rohan Paul (rohanpaul11) wrote :

I managed to solve the issue by downloading the .deb file specified here - https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1523100/comments/72. After installing it and then rebooting, the mic started picking up sound.

NOTE: The complete solution involves:
1. setting the internal microphone to be mapped to the pin 0x12 using alsa-tools-gui (hdajackretask) and then rebooting
2. Downloading and installing the .deb file mentioned above and then rebooting.

Rohan Paul (rohanpaul11) wrote :

Sorry, but this works only with my headset plugged in. If my headset is not plugged in, then the mic again does not work. So #3 is a partial solution.

Rohan Paul (rohanpaul11) wrote :

Unfortunately, this has stopped working, ie. even when the headphone is plugged in, the mic no longer works. Would really appreciate it if anyone could help me with this problem. Will be happy to provide more info if required.

Hui Wang (hui.wang) wrote :

You said the internal mic works well under windows10, so please run this dump program under windows10, then upload the dump file to launchpad, maybe we can find some difference from the linux.

Rohan Paul (rohanpaul11) wrote :

Running the program in Windows gave me a Blue Screen Error.

Rohan Paul (rohanpaul11) wrote :

@hui.wang

Sorry for the late response.

I have now managed to make my headset mic work permanently. I had to add the following line to the file /etc/modprobe.d/alsa-base.conf:

options snd-hda-intel model=alc295-hp-x360

However, after doing this, a week later my speakers stopped working and I had to change some pin mappings using alsa-tools-gui: specifically I used Pin 0x14 for Internal Speaker (LFE) and Pin 0x1e for Internal Speaker.

So right now, my speakers work, my headset(mic + sound) works and only my internal mic does not work.

I am still unable to run the dump program in Windows. However, I can tell you that my laptop has Intel Smart Sound Technology(SST). I read somewhere that Ubuntu still does not have proper support for that although I may have misunderstood what I read. So I am not sure.

Daniel Penalva (dkajah) wrote :

I am having the same problem with a new dell-g3-3590,

arecord -l gives:

**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC3254 Analog [ALC3254 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 2: ALC3254 Alt Analog [ALC3254 Alt Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Its not detecting the internal mic nor the headfone mic.

Daniel Penalva (dkajah) wrote :

indeed, the headphone mic is working perfectly, so it`s not detecting the internal, i am still to test the internal mic in others SOs to attest that is an alsa-driver bug.

Daniel Penalva (dkajah) wrote :

It seems to be a problem from the chip series itself since in 16.04.03 it also does not get detected. Or the internal mic is flawed, I still need to test in windows 10 to be sure if it is a alsa driver problem to this chip or a hardware problem

Fredrik (fredrk) wrote :

Suddenly my mic stopped working too, it is a ThinkPad T480s. It worked a couple of weeks ago last time I tried it.

When setting the input level to max, I can see a faint signal on the visual input bar.
Any suggestion how to see what is wrong?

Thales Rocha (thales-rocha) wrote :

Hi all, I have the same problem,

My notebook is the same @dkajah, a new dell-g3-3590 with fresh Ubuntu 18.04LTS install (I already test with 19.10, the result was the same.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Luís Zimmermann (luiszim) wrote :

Same problem here, the microphone shows as (unplugged) in the PulseAudio Volume Control. Ubuntu 18.04.3 LTS.

❯ uname -a
Linux luisz-G3-3590 5.0.0-37-generic #40~18.04.1-Ubuntu SMP Thu Nov 14 12:06:39 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

❯ arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC3254 Analog [ALC3254 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 2: ALC3254 Alt Analog [ALC3254 Alt Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Hui Wang (hui.wang) wrote :

So for the hp-spectre-x360-convertible-15 laptop, probably the internal mic doesn't connect to the codec, it connects to the PCH directly. So setting 0x12/0x13 to internal mic doesn't work at all.

Please install this testing kernel, then boot with this kernel and upload the dmesg, Let us see if the dmic connects to the PCH or not.

thx.

Majid Fouladpour (majid4466) wrote :

I have the same issue on a HP Spectre Folio 13 with Xubuntu 18.04. Internal microphone does not work. Headset microphone is detected when connected through a usb-c hub.

kimjay (kimjay) wrote :

I believe I'm having the same issue on a Dell 7591 15" 2-in-1 running Ubuntu 19.10. With no headset plugged in nothing shows up under Sound->Input. If I 1) plug in headset (select Headset in the pop-up) 2) Open Sound 3) Select Microphone Built-in Audio under Input 4) Select Headset Microphone under Built-in Audio...then input audio is picked up but is scratchy as OP mentioned.

Jeremy Ebert (alienearcandy) wrote :

I have the same issue on a HP Spectre Folio 13 with ubuntu 19.10. Internal microphone does not work. Headset microphone is detected when connected through a usb-c hub.

Cheyenne Aberle (caberle) wrote :

I have the same issue on my HP Envy 15 x360. Internal microphone isn't detected, but headset microphone is when it's plugged in.

Tidhar Klein Orbach (tizki) wrote :

I have the same issue with my Lenovo Thinkpad. The internal mic doesn't work, but when using a headset the mic works.

Details:

❯ uname -a
Linux my-laptop 5.3.0-28-generic #30~18.04.1-Ubuntu SMP Fri Jan 17 06:14:09 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

❯ arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 2: ALC285 Alt Analog [ALC285 Alt Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

System Information
 Manufacturer: LENOVO
 Product Name: 20QES0H400
 Version: ThinkPad X1 Carbon 7th

Kristiyan Katsarov (katsar0v) wrote :

I have the absolutely same issue on Dell Inspiron 7590. Internel Mic is not shown in the input devices list.

Matthew Klein (kleinma) wrote :

I'm having the same issue on my Lenovo T480s. I am able to use the mic on my bluetooth headset. However, the internal mic doesn't even show up as an Input Device in the pulse audio mixer.

uname -a
Linux chaos 5.3.0-28-generic #30~18.04.1-Ubuntu SMP Fri Jan 17 06:14:09 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC257 Analog [ALC257 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Piotr Szkotak (pszkotak) wrote :

Same issue on HP Elitebook x360 1040 G6 with Ubuntu 18.04.04.

Attaching Windows dump.
I'll update with remaining information after rebooting to Ubuntu.

Piotr Szkotak (pszkotak) wrote :

uname -a
Linux piter-HP-EliteBook-x360-1040-G6 5.3.0-40-generic #32~18.04.1-Ubuntu SMP Mon Feb 3 14:05:59 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Litu Zou (lituzou) wrote :

I have confirmed that my Dell Inspiron 7590 with Realtek alc3254 also have the issue with built in microphone.

Ari Gami (dr-ari-gami) wrote :

Has anyone found a solution to this problem? I have it too, my computer is an HP Envy x360 Convertible.

Any help would be greatly appreciated!

Same issue on Dell G3-3590 i7 gtx1660, worked for 2 months and now simply stopped, started without audio that i solved with this:

" I used to change /etc/default/grub to have this line

GRUB_CMDLINE_LINUX_DEFAULT="loglevel=3 quiet splash acpi_backlight=vendor acpi_osi='!Windows 2013' acpi_osi='!Windows 2012' snd_hda_intel.dmic_detect=0"
Then run in terminal

grub-mkconfig -o /boot/grub/grub.cfg "

I get this solution from here:

https://bbs.archlinux.org/viewtopic.php?id=251157

Now audio works fine, with and without headphone. But the problem now is that the internal microphone is not detected. And when the headphone (with dont have microphone) is connected he is detected in input devices list as if it was a microphone.

and when I added this: options snd-hda-intel index=0 model=laptop-dmic
on: /etc/modprobe.d/alsa-base.conf

a internal mic appears in the input device list but still not detecting audio, and the headphone is not detected in the input list anymore, but audio still working...

tobson (tmai) wrote :

same on my Dell G3 15 3590 no sound after updating to kernel 5.3.0-42. The mentioned workaround in #28 solves the issue for the speakers. However, only 'snd_hda_intel.dmic_detect=0' was necessary.
I tested the mainline Kernel (5.5.11) with the same result but here one has to use 'snd-intel-dspcfg.dsp_driver=1' to the sound running again.
(found it here: https://bugzilla.kernel.org/show_bug.cgi?id=205959)

as in #28 the microphone is still not working yet but with the addition of 'options snd-hda-intel index=0 model=laptop-dmic' to '/etc/modprobe.d/alsa-base.conf' it appears for the first time.

rolfinator (seb2) wrote :

I am on the HP 830 G6 and with 'options snd-hda-intel index=0 model=laptop-dmic' I finally see the microphone appearing in pavucontrol. However, I cannot get the microphone/input working.

Currently, I have the following lines added to make at least output sound working and *see* the microphone in pavucontrol:

options snd-hda-intel dmic_detect=0
options snd-hda-intel index=0 model=laptop-dmic

My system is as follow:
$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 19.10
Release: 19.10
Codename: eoan

$ inxi -Fxz
Audio: Device-1: Intel Cannon Point-LP High Definition Audio vendor: Hewlett-Packard driver: snd_hda_intel v: kernel
           bus ID: 00:1f.3
           Sound Server: ALSA v: k5.3.0-42-generic

$ uname -a
Linux hostname 5.3.0-42-generic #34-Ubuntu SMP Fri Feb 28 05:49:40 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Roman (roam-akha) wrote :

Reproduced on `Acer Aspire VN7-592G`. Runnung on Ubuntu 19.10, kernel version 5.3.

Firstly had no sound devices detected at all. Adding
`options snd-hda-intel dmic_detect=0` to `/etc/modprobe.d/alsa-base.conf`
Fixed the issue and sound appeared.

But after that found out, that no input sound device is detected by system, along with headset mic.
adding
`options snd-hda-intel mode=aspire-headset-mic`
resolved issue for headset, obviously, but still no default input device is detected by system.

Also've been trying to use
`options snd-hda-intel index=0 model=laptop-dmic`
after that. Device appeared in sound panel, but it's recording only static noise, nothing more.

Still finding a way to resolve issue for built-in mic.

Mirko Ducic (mducic) wrote :

I have the same issue on my Dell G3 3590

I "fixed" output (https://www.linuxuprising.com/2018/06/fix-no-sound-dummy-output-issue-in.html), on similar way as others, but input / internal microphone remains undetected (unplugged, as pulse audio says).

External microphone works fine and it saves me for now.

Ubuntu version: 18.04.4
Kernel version: 5.0.0-1043-oem-osp1

Samuel Kennedy (skarruda) wrote :

Have the same issue on a lot of laptop in my company, we have a webteam that work with Ubuntu and i update all machines for the last version 19.10, after this update all laptops don't have a internal micro.

Model: HP 830 G6

Same insue here with a Dell G3 laptop. Microphone, nor any input device its recognized

Platomik (platomik) wrote :

I have an Asus laptop with an internal mic. I have Ubuntu 19.10 on it and the mic will not work. I've tried everything I can think of but with no luck:( Somebody please fix this.

Edson C da Silva (eddiecsilva) wrote :

Facing the same problem with an HP Spectre X360, I tested several distributions and several different kernel versions.

I also followed several guides explaining how the problem could be solved, but none worked for me. What I find curious is that in Ubuntu 19.10 and 20.04 in live mode the microphone works perfectly (both internal and the headset).

I copied the contents of the alsa-base.conf file from live and overwrote that of the distribution, but it also didn't work.

Tested with kernel: 5.0x, 5.3.x, 5.4.x, 5.5x (family 4.x bring other problems for my hardware)

I was also able to use an external microphone using a USB adapter.

Unathi (delicht) wrote :

I have the same issues on an HP ENVY x360 Convertible 15-dr0xxx. I have tried about everything I could find online about this issue but the internal mic still isn't working. :(

I have the same issue with an Acer Swift 3 SF314-57 58D5.

Now running ubuntu 18.04

At first neither speakers or mic were working. I managed to get the speakers working by modifying the file /etc/modprobe.d/alsa-base.confn adding a lines at the end "options snd-hda-intel dmic_detect=0" [without quotes].
/etc/
The output for "arecord -l"

is as follows:

"""
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: Generic Analog [Generic Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
"""
Tried adding "blacklist snd_soc_skl" to the file /etc/modprobe.d/blacklist.conf

No solution still found.

Unathi (delicht) wrote :

I have the tried solution from https://wiki.archlinux.org/index.php/Lenovo_ThinkPad_X1_Carbon_(Gen_7) and it seems to have worked for me on Arch! You can also have a look at https://gist.github.com/hamidzr/dd81e429dc86f4327ded7a2030e7d7d9

APW (a-p-willis) wrote :

        HP 830 G6
 Ubuntu 18.04.4 LTS
        5.3.0-42-generic
Similar to #30. Curiously, audio and mic worked for a few days when adding
   options snd-hda-intel dmic_detect=0
then mic disappeared. Mic reappears but doesn't work after adding
   options snd-hda-intel dmic_detect=0
   options snd-hda-intel index=0 model=laptop-dmic

rolfinator (seb2) wrote :

Is this bug something that is actively worked on or is it ignored until 20.04 is released as stable (Regarding to https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1840725/comments/37 in 20.04 the mic works)?

Louie McCrady (yosimite-sam) wrote :

I've had an HP Spectre 360 with HP dock for 5-6 years, and this has always been a problem, and it still is. I traced it down one time to the script that detects the available audio input devices, and sets the default. The script is poorly written and is hard to follow. It detects that there are two microphones. Then correctly sets the default microphone to what the user specified, but then it sets it again, to the last microphone detected. In my case, it was the non-existant microphone on the HP dock. This script got written over by some update, and I haven't had the time to track it down again.

I'm still seeing this in 20.04 beta, the difference is now it no longer remembers my selections for using the internal speakers, or the internal microphone. It defaults to the non-existent dock speakers and microphone every time I reboot.

The only way I could get the internal microphone to work was if I booted without being attached to the dock, then attach the dock after I logged in.

audunmb (bergwitz) wrote :

This also affects me. HP Spectre Folio AK13. I added
 options snd-hda-intel dmic_detect=0
 options snd-hda-intel index=0 model=laptop-dmic
as descrived above.
Now the sound works (again, it worked initially after install). Mic shows up after adding the last line and the sound works (again), though as "back-mic built-in" (in norwegian Bak-mikrofon - Innebygd enhet) in Settings - Sounds.

arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0

Running 19.10 with the latest kernel updates (as of today).

It would be really nice to have working microphone now with the lockdown and everything.

Louie McCrady (yosimite-sam) wrote :

I tried using the:

options snd-hda-intel dmic_detect=0
options snd-hda-intel index=0 model=laptop-dmic

in /etc/modprobe/alsa-base.conf

All it did for me was add a new microphone to the selection list in the settings. Neither build-in selections work.

Spent a little time looking through some files, but didn't find anything that stands out. It will take some time looking through files, and scouring websites. I might spend some more time looking into it again, because I find myself needing a microphone lately. and, I have a little time on my hands lately.

Hendy Irawan (ceefour) wrote :

I'm HP Spectre x360

Linux amanah 5.3.0-46-generic #38~18.04.1-Ubuntu SMP Tue Mar 31 04:17:56 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

[*] Laptop speakers work
[ ] HDMI output does not work
[ ] Internal microphone does not work
[*] External microphone works

Rose (ixhs) wrote :

Thinkpad T480 here. Internal microphone worked just a few days ago, I think a kernel upgrade may have triggered it to stop.

Linux satori 5.6.4-arch1-1 #1 SMP PREEMPT Mon, 13 Apr 2020 12:21:19 +0000 x86_64 GNU/Linux

[*] Laptop speakers work
[ ] Internal microphone does not work

$ dmesg | grep snd_

[ 4.156951] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 4.336616] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC257: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[ 4.336619] snd_hda_codec_realtek hdaudioC0D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 4.336621] snd_hda_codec_realtek hdaudioC0D0: hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[ 4.336622] snd_hda_codec_realtek hdaudioC0D0: mono: mono_out=0x0
[ 4.336623] snd_hda_codec_realtek hdaudioC0D0: inputs:
[ 4.336625] snd_hda_codec_realtek hdaudioC0D0: Mic=0x19
[ 4.336626] snd_hda_codec_realtek hdaudioC0D0: Internal Mic=0x12

$ arecord -l

**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC257 Analog [ALC257 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Linda (elindarie) wrote :

The internal microphone is not working for
System76 Gazelle gazp9 which is a Clevo laptop under the hood.
Ubuntu 18.04.4 LTS bionic

I think I did a Zoom interview a few years ago, and it worked, but the microphone hasn't worked for the last few months.

This is an old laptop with two input jacks, one for microphone, and one for head phones. My headphones have a combo mike in the cord. Maybe if I had a separate microphone, it would work. Or if I had a splitter.

But when nothing is plugged into the mike jack, the internal microphone does not work. The input settings have an orange bar that is supposed to oscillate if it picks up sound, but nothing is shown on that when I speak. If I put my combo cable in that jack, it briefly oscillates, but that's like a fluke. Something is live there - maybe the device is recognized - but it's not working.

Linda (elindarie) wrote :

Sorry - mine is working now, you can delete the above message. With help from System76b tech support, I had to install pavucontrol and turn the microphone (input device) way up. Then I tried recording my voice in audacity and it's horribly scratchy.

Linda (elindarie) wrote :

The scratchiness was fixed in alsamixer, by setting mic boost to 100, and internal mic boost to 0.

Linda (elindarie) wrote :

Sorry to post so much - I wish I could consolidate or edit all these posts. The next day I came back and it didn't work in Zoom. I tried a bunch of things listed on the following web page, starting with simplest first, from

https://support.system76.com/articles/audio/

until finally I did

sudo apt install --reinstall alsa-base alsa-utils pulseaudio linux-sound-base libasound2

then I rebooted and

sudo alsa force-reload

and it worked. Which is weird, I think, because I just did this reinstall of these modules 3 days ago. I don't think the versions of these modules changed. I don't know what's going on. My guess is that it breaks because something changes a configuration file. And then I guess it's fixed when the configuration file is re-initialized by re-installing these modules. I wish I could pinpoint it.

Atilio (aranzuglia) wrote :

As mentioned in comment #37 the internal mic works well with Ubuntu 20.04 live mode. I haven't tried installing Ubuntu 20.04 though, as some report the mic doesn't work once installed.

I wish I knew more and had the time to understand the difference (beyond kernel) between Ubuntu 20.04 live mode and non-live mode.

I'm currently running Ubuntu 19.10.

Let me know if there is something I can test to understand why Ubuntu 20.04 live mode works.

Thanks

Linda (elindarie) wrote :

It stopped working again, and rebooting fixed it. I also ran some scripts when it was working and not working, attached here.

Linda (elindarie) wrote :

Here's the attachment of the script when the internal microphone was working.

Linda (elindarie) wrote :

A thing noticeable about the diff of the working and broken internal microphone is that the one that's not working shows the processes that are accessing the sound card (pacmd list-clients) includes libcanberra.

> application.name = "libcanberra"
> native-protocol.peer = "UNIX socket client"
> native-protocol.version = "32"
> application.version = "0.30"
> application.id = "org.freedesktop.libcanberra"
> application.process.id = "1550"
> application.process.user = "linda"
> application.process.host = "gazelle"
> application.process.binary = "gsd-media-keys"
> application.language = "en_US.UTF-8"
> window.x11.display = ":0"
> application.process.machine_id = "df4e0d95e2e6bc9d6b63c5a35372e1c3"
> application.process.session_id = "1"
> index: 2
> driver: <protocol-native.c>
> owner module: 12
> properties:

The other thing I wondered about is that in the broken one, the IRQ pin numbers reported by "cat /proc/asound/cards" and "lspci -vvv | grep -A9 Audio" are different.

cat /proc/asound/cards

 0 [HDMI ]: HDA-Intel - HDA Intel HDMI
                      HDA Intel HDMI at 0xf7e14000 irq 34
 1 [PCH ]: HDA-Intel - HDA Intel PCH
                      HDA Intel PCH at 0xf7e10000 irq 33

lspci -vvv | grep -A9 Audio

00:03.0 Audio device: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller (rev 06)
 Subsystem: CLEVO/KAPOK Computer Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 30
 Region 0: Memory at f7e14000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: snd_hda_intel
 Kernel modules: snd_hda_intel

--
00:1b.0 Audio device: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller (rev 05)
 Subsystem: CLEVO/KAPOK Computer 8 Series/C220 Series Chipset High Definition Audio Controller
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 34
 Region 0: Memory at f7e10000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: snd_hda_intel
 Kernel modules: snd_hda_intel

I don't know if this has anything to do with why this internal mic stops working. I wonder what is calling libcanberra.

Linda (elindarie) wrote :

Then it stopped working again, but this time libcanberra is not shown by "pacmd list-clients", so maybe that has nothing to do with it.

Lgarczyn (lgarczyn) wrote :

Same issue, dell g3 3950, on mint

Managed to fix the audio using

> options snd-hda-intel dmic_detect=0
> options snd-hda-intel index=0 model=laptop-dmic

too, and can now see the microphone, but it doesn't record anything

rolfinator (seb2) wrote :

I can confirm that the update to 20.04 fixed the audio and microphone for me!

APW (a-p-willis) wrote :

Same laptop as #58 but, update to 20.04 hasn't worked for me.

@rolfinator, can you tell us anything else about your setup or changes before/after the update?

Jared Young (jared18y) wrote :

I have the hp spectre x360 13 convertible and the update to 20.04 did not work for me either.

Asus Gl703VD has the same problem Ubuntu 20.04

Jeff Wang (bohenao) wrote :

Toshiba Satellite Radius 12 C-720 same problem ubuntu 20.04

Han.xue-shan (xshan8333) wrote :

I fix it on ubuntu 19.10, maybe work on ubuntu 20.04

FIRST: do

arecord -l
maybe gives:

**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC3254 Analog [ALC3254 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

NOTE: Subdevices: 1/1, remember it!

SECOND:
add
    options snd-hda-intel index=X model=laptop-dmic
to /etc/modprobe.d/alsa-base.conf

NOTE:
if Subdevices: 1/1, index=1
if Subdevices: 0/1, index=0

after update alsa-base.conf, reboot!

try it!

Jared Young (jared18y) wrote :

This does not work for me. My Hardware Devices were listed as follows

**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC285 Analog [ALC285 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0

Added to line to /etc/modprobe.d/alsa-base.conf and my internal microphone did not work.

Jared Young (jared18y) wrote :

Actually I was able to make it work! I needed to remove

"options snd-hda-intel dmic_detect=0"

from /etc/modprobe.d/alsa-base.conf

Had a similar problem with Lenovo S740 (Ubuntu 18.04, 19.10 and 20.04). Tried different combinations in alsa-base.conf, hda-jack-retask - nothing worked.

And then surprisingly this thread helped (see https://gist.github.com/hamidzr/dd81e429dc86f4327ded7a2030e7d7d9#gistcomment-3315737 ).

What I've done is I appended next two lines to /etc/pulse/default.pa:

# /etc/pulse/default.pa
load-module module-alsa-sink device=hw:0,0 channels=2 # note that I used 2 here
load-module module-alsa-source device=hw:0,6 channels=2
```

For those of you having problems in Ubuntu 20.04 with Realtek ALC285 this could be a solution.

❯ uname -a
Linux anton-Lenovo-Yoga-S740-14IIL 5.4.0-33-generic #37-Ubuntu SMP Thu May 21 12:53:59 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Now internal microphone records audio, please try to see if it helps you

jrda (jrda) wrote :

Anyone a Solution for:

00:1f.3 Multimedia audio controller: Intel Corporation Sunrise Point-LP HD Audio (rev 21)

!!Advanced information - PCI Vendor/Device/Subsystem ID's
!!-------------------------------------------------------

00:1f.3 0401: 8086:9d71 (rev 21)
 Subsystem: 103c:8470

On Ubuntu 20.04?

APW (a-p-willis) wrote :

#63 + #65 combination worked for me on
HP 830 G6, Ubuntu 20.04 .
Thanks!!!

dan (foord) wrote :

I'm using an HP Omen. Ubunut 20.04
I have the same Mic problem.

Speakers working
HDMI connection (never tested)
Jackplug mic working
"Rear mic"/"internal mic" not working.

Internal mic "not pluggedin" according to Pulsaudio
Rear mic equalizer registers sound when playing audio on computer.

I've tried so much I don't know what I've done or not done. But I can say
removing
"options snd-hda-intel dmic_detect=0" (see comment 65) switched the output back to "Dummy Speaker" and I lost all audio.

Audio/Mic all fine in Windows boot.

Cheyenne Aberle (caberle) wrote :

I can confirm that a clean installation of 20.04 fixed the issue on my HP Envy 15 x360. The internal microphone is properly detected and working.

jrda (jrda) wrote :

Have you tried an Update to 20.04 before?
What Hardware do you have in the Envy 15?

wiki app (wikiapp) wrote :

#63 + #65. internal mic is working but not with external mic. 3.5 jack audio on asus TP410 Ubuntu 18.04

>arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC294 Analog [ALC294 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

>uname -a
Linux mo 5.3.0-53-generic #47~18.04.1-Ubuntu SMP Thu May 7 13:10:50 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Platomik (platomik) wrote :

Still having the same problem on my ASUS laptop running 20.04. There's been various updates and things since I last posted but none of them have fixed it! I'm hoping for a fix soon.

Hi,

Since recent updates :
 - External mic (in headphones) : Working
 - Internal mic : Not Working / Not recognized

>arecord -l
**** Liste des Périphériques Matériels CAPTURE ****
carte 0: PCH [HDA Intel PCH], périphérique 0: ALC215 Analog [ALC215 Analog]
  Sous-périphériques: 1/1
  Sous-périphérique #0: subdevice #0

>uname -a
Linux XXXX 5.3.0-53-generic #47~18.04.1-Ubuntu SMP Thu May 7 13:10:50 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Laptop : HP EliteBook 840 G6

The comment #65 was what worked for me.

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1840725/comments/65

My OS installation is Kubuntu 18.04.

Additional and more detailed info about my laptop:

```
$ uname -a
Linux ioku 5.3.0-59-generic #53~18.04.1-Ubuntu SMP Thu Jun 4 14:58:26 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

$ sudo dmidecode -t system
# dmidecode 3.1
Getting SMBIOS data from sysfs.
SMBIOS 3.1.1 present.

Handle 0x0012, DMI type 1, 27 bytes
System Information
 Manufacturer: LENOVO
 Product Name: 20QDCTO1WW
 Version: ThinkPad X1 Carbon 7th
 Serial Number: PF1E44X3
 UUID: 06E257CC-238A-11B2-A85C-ECF7951B56CA
 Wake-up Type: Power Switch
 SKU Number: LENOVO_MT_20QD_BU_Think_FM_ThinkPad X1 Carbon 7th
 Family: ThinkPad X1 Carbon 7th

Handle 0x0027, DMI type 12, 5 bytes
System Configuration Options

Handle 0x0037, DMI type 15, 31 bytes
System Event Log
 Area Length: 1586 bytes
 Header Start Offset: 0x0000
 Header Length: 16 bytes
 Data Start Offset: 0x0010
 Access Method: General-purpose non-volatile data functions
 Access Address: 0x00F0
 Status: Valid, Not Full
 Change Token: 0x00000062
 Header Format: Type 1
 Supported Log Type Descriptors: 4
 Descriptor 1: POST error
 Data Format 1: POST results bitmap
 Descriptor 2: PCI system error
 Data Format 2: None
 Descriptor 3: System reconfigured
 Data Format 3: None
 Descriptor 4: Log area reset/cleared
 Data Format 4: None

$ arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: sofsklhdacard [sof-skl_hda_card], device 0: HDA Analog (*) []
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: sofsklhdacard [sof-skl_hda_card], device 1: HDA Digital (*) []
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: sofsklhdacard [sof-skl_hda_card], device 6: DMIC32 (*) []
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: sofsklhdacard [sof-skl_hda_card], device 7: DMIC16 (*) []
  Subdevices: 1/1
  Subdevice #0: subdevice #0

```

Vedran Rafaelic (croraf) wrote :

HP Omen. Ubuntu 19.10. 5.3.0-59-generic #53-Ubuntu

+ External (bluetooth) input working
+ External (bluetooth) output working
- Internal input not working (nothing shown)
- Internal output not working (Dummy shown)

Managed to fix internal output by adding "options snd-hda-intel dmic_detect=0" after reading comment #69. Perhaps it was here before because I lost "internal output" couple of months ago after messing with these settings.

Internal input still not working.

Maxtrix (maxlira) wrote :

Hi HP OMEN 17 cb0000 (2019) with the same issue.
Thanks to #63 and #65 I got somewhat working the audio but not the internal mics yet.

What happens here is that the Mic is a digital array. Is not the simple analog mic that always we use.

Intel SST mic array with the realtek alc285.

This discussion maybe has the answer https://bugzilla.kernel.org/show_bug.cgi?id=201251

#63 and #65 did not work for me, resulted in dummy audio - #66 also did not work for me.

for #78 my specs

Linux michaelroelker-Lenovo-YOGA-C930-13IKB 5.4.0-39-generic #43-Ubuntu SMP Fri Jun 19 10:28:31 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC298 Analog [ALC298 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: Headset [Logitech USB Headset], device 0: USB Audio [USB Audio]
  Subdevices: 0/1
  Subdevice #0: subdevice #0

experiencing issues in 18.04 and 20.04. headset workaround for now.

Oleg Prosekov (olegps) wrote :

Hi Dell G3 (DMI: Dell Inc. G3 3590/0201H1, BIOS 1.6.0 08/08/2019)
with the same issue (internal mic doesn't work, with external headset works)

~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.4 LTS
Release: 18.04
Codename: bionic

~$ uname -a
Linux ws165 5.3.0-61-generic #55~18.04.1-Ubuntu SMP Mon Jun 22 16:40:20 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

~$ arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC3254 Analog [ALC3254 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 2: ALC3254 Alt Analog [ALC3254 Alt Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Wojciech Semik (wojtek-semik) wrote :

Hi. Dell Inspiron with Ubuntu 18.04.3. I had this issue for a couple of months. None of the above hints have worked for me. After today's software update, all is back to normal :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.